> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Whatsapp phone numbers



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/whatsapp/management.yml get /whatsapp/phone_numbers
openapi: 3.1.0
info:
  title: Telnyx WhatsApp Management API
  version: 2.0.0
  description: >
    API for managing WhatsApp Business Accounts (WABAs), phone numbers, and
    message templates.


    Use these endpoints to:

    - List and manage WhatsApp Business Accounts

    - Configure phone numbers for WhatsApp

    - Create and manage message templates

    - Set up webhook configurations
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /whatsapp/phone_numbers:
    get:
      tags:
        - Whatsapp Phone Numbers
      summary: List Whatsapp phone numbers
      operationId: ListPhoneNumbers
      parameters:
        - $ref: '#/components/parameters/PageConsolidated'
      responses:
        '200':
          $ref: '#/components/responses/WhatsappPhonesListResponse'
          description: Phone numbers
        4XX:
          $ref: '#/components/responses/messaging_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const phoneNumberListResponse of
            client.whatsapp.phoneNumbers.list()) {
              console.log(phoneNumberListResponse.phone_number_id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.whatsapp.phone_numbers.list()
            page = page.data[0]
            print(page.phone_number_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Whatsapp.PhoneNumbers.List(context.TODO(), telnyx.WhatsappPhoneNumberListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.whatsapp.phonenumbers.PhoneNumberListPage;

            import
            com.telnyx.sdk.models.whatsapp.phonenumbers.PhoneNumberListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    PhoneNumberListPage page = client.whatsapp().phoneNumbers().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.whatsapp.phone_numbers.list

            puts(page)
        - lang: CLI
          source: |-
            telnyx whatsapp:phone-numbers list \
              --api-key 'My API Key'
components:
  parameters:
    PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally:
        page[number], page[size]
      schema:
        type: object
        properties:
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page
  responses:
    WhatsappPhonesListResponse:
      description: Successful response with Whatsapp phone numbers
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/WhatsappPhoneResponse'
              meta:
                $ref: '#/components/schemas/messaging_PaginationMeta'
    messaging_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/messaging_Errors'
  schemas:
    WhatsappPhoneResponse:
      type: object
      properties:
        record_type:
          type: string
          example: whatsapp_business_phone_number
        phone_number:
          type: string
          description: Phone number in E164 format
        phone_number_id:
          type: string
          description: Whatsapp phone number ID
        waba_id:
          type: string
          description: WABA ID of Whatsapp business account
        user_id:
          type: string
          description: User ID
        display_name:
          type: string
        quality_rating:
          type: string
          description: Whatsapp quality rating
        status:
          type: string
        created_at:
          type: string
          format: date-time
        enabled:
          type: boolean
        calling_enabled:
          type: boolean
    messaging_PaginationMeta:
      type: object
      required:
        - total_pages
        - total_results
        - page_size
        - page_number
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    messaging_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/messaging_Error'
    messaging_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          x-format: integer
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              format: json-pointer
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````